// Generated by gencpp from file thesis_pad/Addressee.msg
// DO NOT EDIT!


#ifndef THESIS_PAD_MESSAGE_ADDRESSEE_H
#define THESIS_PAD_MESSAGE_ADDRESSEE_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace thesis_pad
{
template <class ContainerAllocator>
struct Addressee_
{
  typedef Addressee_<ContainerAllocator> Type;

  Addressee_()
    : x(0.0)
    , y(0.0)
    , theta(0.0)  {
    }
  Addressee_(const ContainerAllocator& _alloc)
    : x(0.0)
    , y(0.0)
    , theta(0.0)  {
  (void)_alloc;
    }



   typedef float _x_type;
  _x_type x;

   typedef float _y_type;
  _y_type y;

   typedef float _theta_type;
  _theta_type theta;





  typedef boost::shared_ptr< ::thesis_pad::Addressee_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::thesis_pad::Addressee_<ContainerAllocator> const> ConstPtr;

}; // struct Addressee_

typedef ::thesis_pad::Addressee_<std::allocator<void> > Addressee;

typedef boost::shared_ptr< ::thesis_pad::Addressee > AddresseePtr;
typedef boost::shared_ptr< ::thesis_pad::Addressee const> AddresseeConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::thesis_pad::Addressee_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::thesis_pad::Addressee_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::thesis_pad::Addressee_<ContainerAllocator1> & lhs, const ::thesis_pad::Addressee_<ContainerAllocator2> & rhs)
{
  return lhs.x == rhs.x &&
    lhs.y == rhs.y &&
    lhs.theta == rhs.theta;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::thesis_pad::Addressee_<ContainerAllocator1> & lhs, const ::thesis_pad::Addressee_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace thesis_pad

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::Addressee_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::thesis_pad::Addressee_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::Addressee_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::thesis_pad::Addressee_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::Addressee_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::thesis_pad::Addressee_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::thesis_pad::Addressee_<ContainerAllocator> >
{
  static const char* value()
  {
    return "a130bc60ee6513855dc62ea83fcc5b20";
  }

  static const char* value(const ::thesis_pad::Addressee_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xa130bc60ee651385ULL;
  static const uint64_t static_value2 = 0x5dc62ea83fcc5b20ULL;
};

template<class ContainerAllocator>
struct DataType< ::thesis_pad::Addressee_<ContainerAllocator> >
{
  static const char* value()
  {
    return "thesis_pad/Addressee";
  }

  static const char* value(const ::thesis_pad::Addressee_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::thesis_pad::Addressee_<ContainerAllocator> >
{
  static const char* value()
  {
    return "float32 x\n"
"float32 y\n"
"float32 theta\n"
;
  }

  static const char* value(const ::thesis_pad::Addressee_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::thesis_pad::Addressee_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.x);
      stream.next(m.y);
      stream.next(m.theta);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct Addressee_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::thesis_pad::Addressee_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::thesis_pad::Addressee_<ContainerAllocator>& v)
  {
    s << indent << "x: ";
    Printer<float>::stream(s, indent + "  ", v.x);
    s << indent << "y: ";
    Printer<float>::stream(s, indent + "  ", v.y);
    s << indent << "theta: ";
    Printer<float>::stream(s, indent + "  ", v.theta);
  }
};

} // namespace message_operations
} // namespace ros

#endif // THESIS_PAD_MESSAGE_ADDRESSEE_H
